
/*------------------------------------------------------------------------
  File: aa/conversion/11.03/aa-1103-after-04-aa-vat_countrycode.p
  Doel: Vul de nieuwe vat_countrycode velden t.b.v. betere Xref definities.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "ca-1103-after-01-vat_countrycode.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(64)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.

&GLOBAL-DEFINE mydisplay cProgram cAction iDone  WITH FRAME a

  ASSIGN cAction  = "Fill new VAT country fields."
         iDone    = 0.
  DISPLAY {&mydisplay}.
  
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

  FOR EACH sp-company NO-LOCK: 

    cAction  = "Fill new VAT country fields : Item Tariff : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-u_shipment_old.
      
    FOR EACH ca-u_shipment_old EXCLUSIVE-LOCK
      WHERE ca-u_shipment_old.companycode     EQ sp-company.companycode
        AND ca-u_shipment_old.vat_countrycode EQ ''
        AND ca-u_shipment_old.vatcode         NE '' : 
    
      ca-u_shipment_old.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
    
    END.

    cAction  = "Fill new VAT country fields : Item Tariff : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-u_shipment_item_tariff.
    
    FOR EACH ca-u_shipment_item_tariff EXCLUSIVE-LOCK
      WHERE ca-u_shipment_item_tariff.companycode     EQ sp-company.companycode
        AND ca-u_shipment_item_tariff.vat_countrycode EQ ''
        AND ca-u_shipment_item_tariff.vatcode         NE '' : 
    
      ca-u_shipment_item_tariff.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
    
    END.
    
    cAction  = "Fill new VAT country fields : Line Parameter : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-u_line_parameters .
    
    FOR EACH ca-u_line_parameters EXCLUSIVE-LOCK
      WHERE ca-u_line_parameters.companycode     EQ sp-company.companycode
        AND ca-u_line_parameters.vat_countrycode EQ ''
        AND ca-u_line_parameters.vatcode         NE '' : 
    
      ca-u_line_parameters.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
    
    END.
    
    cAction  = "Fill new VAT country fields : CA Costcodes : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-s_costcode .
    
    FOR EACH ca-s_costcode EXCLUSIVE-LOCK
      WHERE ca-s_costcode.companycode     EQ sp-company.companycode
        AND ca-s_costcode.vat_countrycode EQ ''
        AND ca-s_costcode.vatcode         NE '' : 
      
      ca-s_costcode.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
      
    END.

    cAction  = "Fill new VAT country fields : CA Outward Shipments : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-u_shipment .
    
    FOR EACH ca-u_shipment EXCLUSIVE-LOCK
      WHERE ca-u_shipment.companycode     EQ sp-company.companycode
        AND ca-u_shipment.vat_countrycode EQ ''
        AND ca-u_shipment.vatcode         NE '' : 
      
      ca-u_shipment.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
      
    END.

    cAction  = "Fill new VAT country fields : CA Inward Shipments : " + sp-company.companycode .

    DISABLE TRIGGERS FOR LOAD OF ca-i_shipment .

    FOR EACH ca-i_shipment EXCLUSIVE-LOCK
      WHERE ca-i_shipment.companycode     EQ sp-company.companycode
        AND ca-i_shipment.vat_countrycode EQ ''
        AND ca-i_shipment.vatcode         NE '' : 
    
      ca-i_shipment.vat_countrycode = sp-company.vat_countrycode .
      iDone = iDone  + 1.
      DISPLAY {&mydisplay}.
    
    END.
    
  END. /* EACH COMPANY */
  

DISPLAY {&mydisplay}.

