DEF VAR cTable  AS CHAR   NO-UNDO COLUMN-LABEL 'table' FORMAT 'x(30)'.
DEF VAR lDelete AS LOG    NO-UNDO INIT NO.
OUTPUT TO c:\tmp\tariffs.txt.
ctable = 'ca-u_shipment'. 
uShip:
FOR EACH ca-u_shipment_item_tariff EXCLUSIVE-LOCK,
   FIRST ca-u_shipment OF ca-u_shipment_item_tariff NO-LOCK:
   FIND ca-u_tariff WHERE 
        ca-u_tariff.companycode  EQ ca-u_shipment.companycode
    AND ca-u_tariff.linecode     EQ ca-u_shipment.linecode
    AND ca-u_tariff.tariff_seqnr EQ ca-u_shipment_item_tariff.u_tariff_seqnr    
        NO-LOCK NO-ERROR.
   IF AVAILABLE ca-u_tariff THEN NEXT uShip.
   IF lDelete 
   THEN DELETE ca-u_shipment_item_tariff.
   ELSE DISPLAY
      cTable
      ca-u_shipment.companycode
      ca-u_shipment.linecode
      ca-u_shipment.bl-number
      ca-u_shipment_item_tariff.item_seqnr
      ca-u_shipment_item_tariff.costcode
      ca-u_shipment_item_tariff.u_tariff_seqnr COLUMN-LABEL 'Tariff#'
      ca-u_shipment_item_tariff.invoiced
      ca-u_shipment_item_tariff.invoicenr
      WITH WIDTH 180.
END.
ctable = 'ca-i_shipment'. 
iShip:
FOR EACH ca-i_shipment_item_tariff EXCLUSIVE-LOCK,
   FIRST ca-i_shipment OF ca-i_shipment_item_tariff NO-LOCK:
   FIND ca-u_tariff WHERE 
        ca-u_tariff.companycode  EQ ca-i_shipment.companycode
    AND ca-u_tariff.linecode     EQ ca-i_shipment.linecode
    AND ca-u_tariff.tariff_seqnr EQ ca-i_shipment_item_tariff.u_tariff_seqnr    
        NO-LOCK NO-ERROR.
   IF AVAILABLE ca-u_tariff THEN NEXT iShip.
   IF lDelete 
   THEN DELETE ca-i_shipment_item_tariff.
   ELSE DISPLAY
      cTable
      ca-i_shipment.companycode
      ca-i_shipment.linecode
      ca-i_shipment.bl-number
      ca-i_shipment_item_tariff.item_seqnr
      ca-i_shipment_item_tariff.costcode
      ca-i_shipment_item_tariff.u_tariff_seqnr COLUMN-LABEL 'Tariff#'
      ca-i_shipment_item_tariff.invoiced
      ca-i_shipment_item_tariff.invoicenr
      WITH WIDTH 180.
END.
ctable = 'ca-u_booking'. 
book:
FOR EACH ca-u_booking_item_tariff EXCLUSIVE-LOCK,
   FIRST ca-u_booking OF ca-u_booking_item_tariff NO-LOCK:
   FIND ca-u_tariff WHERE 
        ca-u_tariff.companycode  EQ ca-u_booking.companycode
    AND ca-u_tariff.linecode     EQ ca-u_booking.linecode
    AND ca-u_tariff.tariff_seqnr EQ ca-u_booking_item_tariff.u_tariff_seqnr    
        NO-LOCK NO-ERROR.
   IF AVAILABLE ca-u_tariff THEN NEXT book.
   IF lDelete 
   THEN DELETE ca-u_booking_item_tariff.
   ELSE DISPLAY
      cTable
      ca-u_booking.companycode
      ca-u_booking.linecode
      ca-u_booking.bookingnr @ ca-u_shipment.bl-number
      ca-u_booking_item_tariff.item_seqnr
      ca-u_booking_item_tariff.costcode
      ca-u_booking_item_tariff.u_tariff_seqnr COLUMN-LABEL 'Tariff#'
      WITH WIDTH 180.
END.
ctable = 'ca-quotation'. 
quot:
FOR EACH ca-quotation_item_tariff EXCLUSIVE-LOCK,
   FIRST ca-quotation OF ca-quotation_item_tariff NO-LOCK:
   FIND ca-u_tariff WHERE 
        ca-u_tariff.companycode  EQ ca-quotation.companycode
    AND ca-u_tariff.linecode     EQ ca-quotation.linecode
    AND ca-u_tariff.tariff_seqnr EQ ca-quotation_item_tariff.u_tariff_seqnr    
        NO-LOCK NO-ERROR.
   IF AVAILABLE ca-u_tariff THEN NEXT quot.
   IF lDelete 
   THEN DELETE ca-quotation_item_tariff.
   ELSE DISPLAY
      cTable
      ca-quotation.companycode
      ca-quotation.linecode
      ca-quotation.our_ref @ ca-u_shipment.bl-number
      ca-quotation_item_tariff.item_seqnr
      ca-quotation_item_tariff.costcode
      ca-quotation_item_tariff.u_tariff_seqnr COLUMN-LABEL 'Tariff#'
      WITH WIDTH 180 .
END.
OUTPUT CLOSE.

